package com.grkj.iscs_mc.util

import android.graphics.Bitmap
import android.graphics.BitmapFactory
import android.util.Base64
import java.io.ByteArrayOutputStream

object ImgUtil {

    /**
     * 图片转字符串
     * @param bitmap 要转换的图片
     * @return 图片转换后的字符串
     */
    fun imageToBase64(bitmap: Bitmap): String {
        val byteArrayOutputStream = ByteArrayOutputStream()
        bitmap.compress(Bitmap.CompressFormat.JPEG, 100, byteArrayOutputStream)
        val buffer = byteArrayOutputStream.toByteArray()

        return Base64.encodeToString(buffer, Base64.DEFAULT)
    }

    /**
     * 字符串转图片
     * @param bitmap64 要转换的字符串
     * @return 字符串转换后的图片
     */
    fun base64ToImage(bitmap64: String?): Bitmap {
        val bytes: ByteArray = Base64.decode(bitmap64, Base64.DEFAULT)

        return BitmapFactory.decodeByteArray(bytes, 0, bytes.size)
    }
}